Skip to main content

Filtering Results

Overview​

Use query parameters to filter results on requests that return arrays of objects. Query parameters are optional.

Example​

One example of filtering is finding all residents associated with a lease (by the Propexo lease ID). This can be done by filtering on the lease_id property.

Example filter
// GET /v1/residents?lease_id=123456
note

Note: When filtering using external IDs (e.g. x_*), you will be required to supply the Propexo integration ID (integration_id) and the external property ID (x_property_id) as part of your query string. This is to ensure that you are only getting records associated with your intended result set — in an effort to account for property management systems using auto-incrementing integers as their IDs.